using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace RB_MES_API.Models
{
    /// <summary>
    /// 销售发货通知
    /// </summary>
    public class TB_PP_DN
    {
        [DisplayName("订单类型")]
        public string SRTYPE_ID { get; set; } = string.Empty;
        [DisplayName("发货通知单号")]
        public string AUDIT_ID { get; set; } = string.Empty;
        [DisplayName("发货通知单行号")]
        public string MTRL_SEQ { get; set; } = string.Empty;
        [DisplayName("客户编码")]
        public string CUST_ID { get; set; } = string.Empty;
        [DisplayName("成品编码")]
        public string MTRL_ID { get; set; }=string.Empty;
        [DisplayName("预计发货时间")]
        [DataType(DataType.Date)]
        public string H_DATE { get; set; } 
        [DisplayName("发货仓库编码")]
        public string STORE_ID { get; set; } = string.Empty;
        [DisplayName("目标仓库编码")]
        public string TOSTORE_ID { get; set; } = string.Empty;
        [DisplayName("数量")]
        [Column(TypeName = "decimal(18,2)")]
        public decimal QUANTITY { get; set; }
        [DisplayName("备注")]
        public string REMARK { get; set; } = string.Empty;
        [DisplayName("销售订单号")]
        public string SO_ID { get; set; }
        [DisplayName("销售订单行号")]
        public string SO_SEQ { get; set; }

        [DisplayName("物料版本号")]
        public string MTRL_VER { get; set; } = string.Empty;

    }
}
